@import url("https://cdn.jsdelivr.net/npm/animate.css@3.5.1");

.overlay {
  position: fixed;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    -45deg,
    rgba(238, 119, 82, 0.2),
    rgba(231, 60, 126, 0.2),
    rgba(35, 166, 213, 0.2),
    rgba(35, 166, 213, 0.2)
  );
	background-size: 400% 400%;
	animation: gradient 10s ease infinite;
}

@keyframes gradient {
	0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
}

.form {
  position: relative;
  > .form__complete,
  > span,
  > div.type-based-transition-leave-to {
    position: absolute;
    width: 100%;
    top: 50%;
    transform: translateY(-50%);
  }
}
.form__header {
  text-align: center;
  margin-bottom: 15px;
  color: white;
  h1 {
    font-family: $heading-font-family;
    letter-spacing: 0.00em;
    font-weight: 500;
    font-size:  36px;
  }
}
.form__complete {
  .form__header {
    text-align: left;
    color: black;
  }
  .v-btn {
    margin-top: 15px;
  }
}
.form__field-label {
  display: block;
  font-size: 1.7em;
  padding-bottom: 15px;

  font-family: $heading-font-family;
  color: #16C62E;
}
.form__field-area,
.form__complete {
  padding: 3em;
  background-color: white;
  box-shadow: 1px 1px 1px 1px rgba(106, 145, 146, 0.4);
  border-radius: 10px;
}


.form__error-message {
  font-size: smaller;
  margin: 1em;
  font-size: 1.3em;
  font-weight: 300;
  color: #ef6574;
  text-align: center;
  font-weight: 400;
}
.form__nav {
  margin-top: 10px;
  float: right;
  > .nav__btn--prev,
  > .nav__btn--next {
    color: white !important;
    &.v-btn--disabled {
      background-color: #eaeaea !important;
    }
  }
  .nav__btn--prev {
    margin-right: 2.5px;
  }
  .nav__btn--next {
    margin-left: 2.5px;
  }
}
.form__bar {
  height: 7px;
  width: 0px;
  background-color: #AEEA00;
  border-radius: 2px;
  position: fixed;
  bottom: 66px;
  left: 0;
}
.typeform__cancel-button {
  cursor: pointer;
  position: fixed!important;
  top: 15px;
  right: 15px;
}
::-webkit-scrollbar {
  -webkit-appearance: none;
  width: 7px;
  background-color: #fff;
}

::-webkit-scrollbar-thumb {
  border-radius: 4px;
  background-color: rgba(0, 0, 0, .5);
  box-shadow: 0 0 1px rgba(255, 255, 255, .5);
}
.form__text {
  color: rgba(0, 0, 0, 0.6);
  font-size: 14px;
}
@media only screen and (orientation: portrait) {
  .form__field-label {
    font-size: 1.5em;
  }
  .form__field-group {
    top: -175px;
  }
  .form__field-area {
    padding: 2em 1em !important;
  }
}